# python/upgrade.h File Reference

More...

Go to the source code of this file.

## Data Structures

struct | packageInfo
struct | pkgSet

## Functions

int | ugFindUpgradePackages (struct pkgSet *psp, char *installRoot)

## Detailed Description

Definition in file upgrade.h.

## Function Documentation

int ugFindUpgradePackages | ( | struct pkgSet * | psp,
|  | char * | installRoot
| ) |

Definition at line 465 of file upgrade.c.

References addLostFiles(), emptyErrorCallback(), findPackagesWithObsoletes(), findPackagesWithRelocatedFiles(), findUpgradePackages(), hashTable, htFreeHashTable(), htNewTable(), removeMovedFilesAlreadyHandled(), rpmdbClose(), rpmdbOpen(), rpmErrorCallBackType, rpmErrorSetCallback, RPMMESS_FATALERROR, RPMMESS_NORMAL, rpmSetVerbosity, and unmarkPackagesAlreadyInstalled().

Referenced by findUpgradeSet().